<?php

function newslify_sanitize_select( $input, $setting ) {
	
	// Ensure input is a slug
	$input = sanitize_key( $input );
	
	// Get list of choices from the control
	// associated with the setting
	$choices = $setting->manager->get_control( $setting->id );
	
	// If the input is a valid key, return it;
	// otherwise, return the default
	return ( array_key_exists( $input, $choices->choices ) ? $input : $setting->default );
}



function newslify_layout_customizer_settings( $wp_customize ){



	//INDEX POSTS STYLE
	$wp_customize->add_setting('newslify_index_class_name_settings', array(
	    'default' => __('newsjolt-magazine-index', 'newslify'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));

	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'newslify_index_class_name_display_control', array(
	    'label'    => __('Newslify - Change Style', 'newslify'),
	    'section'  => 'newsjolt_magazine_index_class_name_section',
	    'settings' => 'newslify_index_class_name_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'newsjolt-magazine-index' 		            => __('List Layout - Right Sidebar', 'newslify'),
	    				'newsjolt-magazine-index-twenty-three' 		=> __('List (box shadow) - Two Columns Right Sidebar - Right Sidebar', 'newslify'),
	    				'newsjolt-magazine-index-twenty-four' 		=> __('List (border) - Two Columns Right Sidebar - Right Sidebar', 'newslify'),
	    			   )
	)));

	//CHANGE STYLE FEATURE SECTION
	$wp_customize->add_setting('newslify_feature_change_style_settings', array(
	    'default' => __('newsjolt-magazine-feature-fourteen', 'newslify'),
	    'sanitize_callback'  => 'sanitize_text_field',
	));


	$wp_customize->add_control(new WP_Customize_Control($wp_customize, 'newslify_feature_change_style_control', array(
	    'label'    => __('Newslify - Change Style', 'newslify'),
	    'section'  => 'newsjolt_magazine_feature_section',
	    'settings' => 'newslify_feature_change_style_settings',
	    'type'     	=> 'select',
	    'choices'	=> array(
	    				'newsjolt-magazine-feature-fourteen' => __('Style 14 - ( Newsjolt Layout 3 Columns )', 'newslify'),
	    				'newsjolt-magazine-feature-twenty-two' 		=> __('Style 22', 'newslify'),
	    			   )
	)));




}


add_action('customize_register', 'newslify_layout_customizer_settings');	